Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel.trb
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel.trb	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel.trb	(revision 306)
@@ -1,13 +1,13 @@
 # ======================================================================
-# 
+#
 #   TOPPERS/ASP Kernel
 #       Toyohashi Open Platform for Embedded Real-Time Systems/
 #       Advanced Standard Profile Kernel
-#  
+#
 #   Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 #                               Toyohashi Univ. of Technology, JAPAN
 #   Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
 #               Graduate School of Information Science, Nagoya Univ., JAPAN
-#  
+#
 #   ä¸è¨èä½æ¨©è
 ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
@@ -46,5 +46,5 @@
 #       å
 è²¬ãããã¨ï¼
-#  
+#
 #   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
 ã
@@ -53,38 +53,38 @@
 #   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
 #   ã®è²¬ä»»ãè² ããªãï¼
-# 
+#
 #   @(#) $Id: core.tf 322 2015-04-30 13:23:48Z ertl-ishikawa $
 #
 # =====================================================================
 
-# 
+#
 #     ãã¹2ã®ã¢ã¼ã­ãã¯ãã£ä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
-# 
-
-# 
+#
+
+#
 #  æå¹ãªå²è¾¼ã¿çªå·ï¼å²è¾¼ã¿ãã³ãã©çªå·
-# 
-$INTNO_VALID = Array(15..$TMAX_INTNO.val)
+#
+$INTNO_VALID = Array(15..$TMAX_INTNO)
 $INHNO_VALID = $INTNO_VALID
 
-# 
+#
 #  æå¹ãªCPUä¾å¤çªå·
 #  7,8ã¯ã¨ãã¥ã¬ã¼ããããä¾å¤
-# 
+#
 $EXCNO_VALID = [ 2,3,4,5,6,7,8,11,12,14 ]
 
-# 
+#
 #  CRE_ISRã§ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·
-# 
+#
 $INTNO_CREISR_VALID = $INTNO_VALID
 $INHNO_CREISR_VALID = $INHNO_VALID
 
-# 
+#
 #  DEF_INTï¼DEF_EXCã§ä½¿ç¨ã§ããå²è¾¼ã¿ãã³ãã©çªå·ï¼CPUä¾å¤ãã³ãã©çªå·
-# 
+#
 $INHNO_DEFINH_VALID = $INHNO_VALID
 $EXCNO_DEFEXC_VALID = $EXCNO_VALID
 
-# 
+#
 #  CFG_INTã§ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨å²è¾¼ã¿åªå
 åº¦
@@ -96,14 +96,14 @@
 #  ãã®ããï¼ã«ã¼ãã«ç®¡çå¤ã®å²è¾¼ã¿ã§ã®ã¿æå®å¯è½ï¼
 $INTNO_CFGINT_VALID = $INTNO_VALID
-$INTPRI_CFGINT_VALID = Array(-(1 << $TBITW_IPRI.val)..-2)
-
-# 
+$INTPRI_CFGINT_VALID = Array(-(1 << $TBITW_IPRI)..-2)
+
+#
 #  kernel/kernel.tf ã®ã¿ã¼ã²ããä¾å­é¨
-# 
-
-# 
+#
+
+#
 #  TSKINICTXBã®åæåæ
 å ±ãçæ
-# 
+#
 def GenerateTskinictxb(key, params)
    return("{" \
@@ -114,7 +114,7 @@
 end
 
-# 
+#
 #  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-# 
+#
 IncludeTrb("kernel/kernel.trb")
 
@@ -124,7 +124,7 @@
  */
 
-/* 
+/*
  *  ãã¯ã¿ã¼ãã¼ãã«
- */ 
+ */
 __attribute__ ((section(".vector")))
 const FP _kernel_vector_table[] = {
@@ -143,5 +143,5 @@
 $INTNO_VALID.each { |inhno|
     #if $cfgData[:DEF_INH][inhno]) && ((INH.INHATR[inhno] & TA_NONKERNEL) != 0)$
-    inh = $cfgData[:DEF_INH].select { |k,v| 
+    inh = $cfgData[:DEF_INH].select { |k,v|
         (v[:inhno] == inhno) && (v[:inhatr] & $TA_NONKERNEL)
     }
@@ -158,5 +158,5 @@
 $kernelCfgC.add("const FP _kernel_exc_tbl[] = {")
 Array(0..14).each { |excno|
-    exc = $cfgData[:DEF_EXC].select { |k,v| 
+    exc = $cfgData[:DEF_EXC].select { |k,v|
         (v[:excno] == excno)
     }
@@ -170,5 +170,5 @@
 }
 $INTNO_VALID.each { |inhno|
-    inh = $cfgData[:DEF_INH].select { |k,v| 
+    inh = $cfgData[:DEF_INH].select { |k,v|
         (v[:inhno] == inhno)
     }
@@ -183,7 +183,7 @@
 $kernelCfgC.add2("};")
 
-# 
+#
 #  _kernel_bitpat_cfgintã®çæ
-# 
+#
 
 bitpat_cfgint_num = 0
@@ -199,5 +199,5 @@
 Array(0..(bitpat_cfgint_num-1)).each { |num|
     Array((num*32)..((num*32)+31)).each { |inhno|
-        inh = $cfgData[:DEF_INH].select { |k,v| 
+        inh = $cfgData[:DEF_INH].select { |k,v|
             (v[:inhno] == inhno)
         }
@@ -210,9 +210,9 @@
 $kernelCfgC.add2("};")
 
-# 
+#
 #  å²è¾¼ã¿åªå
 åº¦ãã¼ãã«ï¼å
 é¨è¡¨ç¾ï¼
-# 
+#
 $kernelCfgC.add("const uint32_t _kernel_int_iipm_tbl[] = {")
 Array(0..14).each { |excno|
@@ -220,5 +220,5 @@
 }
 $INTNO_VALID.each { |intno|
-    int = $cfgData[:CFG_INT].select { |k,v| 
+    int = $cfgData[:CFG_INT].select { |k,v|
         (v[:intno] == intno)
     }
